package jp.sourceforge.cfneo.at4ie2.api.test;

import jp.sourceforge.cfneo.at4ie2.api.browser.Browser;

public interface Context {

	/*
	 * Runtime environment
	 */
	public String getContextName();
	public String getLogFile();
	public String getPlatformName();
	public boolean isToolTest();
	public void setToolTest(boolean flag);

	/*
	 * Strage area manegement
	 */
	public void setStoreValue(String key, String value);
	public String getStoreValue(String key);
	public void reset();

	/*
	 * Browser manegement
	 */
	public void setBrowser(Browser browser);
	public Browser getBrowser();

	/*
	 * Testing manegement
	 */
	public InvokerFactory getInvokerFactory();
	public ResultLogger getResultLogger();

}
